%global mod_name icon-shim-plugin
%global short_name icon-shim
%global plugin_home %{_datadir}/jenkins/plugins/%{short_name}

Name:           jenkins-icon-shim
Version:        1.0.4
Release:        1%{?dist}
Summary:        Jenkins Icon Shim Plugin

# specified in POM file
License:        MIT
URL:            https://github.com/jenkinsci/icon-shim-plugin
Source0:        https://github.com/jenkinsci/%{short_name}-plugin/archive/%{short_name}-pom-%{version}.tar.gz
# taken from http://opensource.org/licenses/MIT
Source1:        LICENSE

BuildArch:      noarch

BuildRequires:  maven-local
BuildRequires:  mvn(org.jenkins-ci.plugins:plugin:pom:)
BuildRequires:  mvn(org.jenkins-ci.tools:maven-hpi-plugin)
BuildRequires:  mvn(org.kohsuke.stapler:stapler-groovy)
BuildRequires:  mvn(org.jenkins-ci.main:jenkins-core)

%description
A "shim" plugin that allows plugins make use of the core icon tag, while
still remaining backward compatible with older versions of Jenkins core
that do not have the icon tag.

%package        javadoc
Summary:        Javadoc for %{name}

%description javadoc
This package contains the API documentation for %{name}.


%prep
%setup -q -n %{mod_name}-%{short_name}-pom-%{version}

cp %{SOURCE1} .

%pom_remove_plugin :findbugs-maven-plugin plugin
%pom_remove_dep :uithemes plugin

%mvn_package ::hpi: __noinstall
%mvn_file :{*}:jar:: %{name}/@1 %{plugin_home}/WEB-INF/lib/@1

%build
# "package org.jvnet.hudson.test does not exist" - we don't have
# these test artifacts for Jenkins
%mvn_build -f

%install

install -d -m 755 %{buildroot}/%{plugin_home}
unzip -d %{buildroot}/%{plugin_home} plugin/target/%{short_name}.hpi
rm %{buildroot}/%{plugin_home}/WEB-INF/lib/*

%mvn_install
sed -i 's|%{plugin_home}/WEB-INF/lib/%{short_name}.jar||' .mfiles

%files -f .mfiles
%dir %{_javadir}/%{name}
%dir %{_mavenpomdir}/%{name}
%{plugin_home}
%doc LICENSE
%files javadoc -f .mfiles-javadoc
%doc LICENSE

%changelog
* Mon Nov 24 2014 Michal Srb <msrb@redhat.com> - 1.0.4-1
- Update to upstream version 1.0.4

* Tue Nov 18 2014 Michal Srb <msrb@redhat.com> - 1.0.3-4
- Fix plugin name (Resolves rhbz#1165086)

* Wed Oct 01 2014 Michal Srb <msrb@redhat.com> - 1.0.3-3
- Use pkg name as plugin home dir

* Wed Oct 01 2014 Michal Srb <msrb@redhat.com> - 1.0.3-2
- Install unpacked (Resolves: rhbz#1147821)

* Mon Sep 08 2014 Michal Srb <msrb@redhat.com> - 1.0.3-1
- Initial packaging

